## org.biojava.bio.seq.io
Class GenbankFormat

    java.lang.Object
      org.biojava.bio.seq.io.GenbankFormat

All Implemented Interfaces:
  Serializable, EventListener, SequenceFormat, ParseErrorListener, ParseErrorSource

Direct Known Subclasses:
  GenbankXmlFormat, GenpeptFormat

Deprecated. Use org.biojavax.bio.seq.io.GenbankFormat

    public class GenbankFormat

extends Object
implements SequenceFormat, Serializable, ParseErrorListener, ParseErrorSource

Format reader for GenBank files. Converted from the old style io to the new by working from `EmblLikeFormat`.

Author:
  Thomas Down, Thad Welch Added GenBank header info to the sequence annotation. The ACCESSION header tag is not included. Stored in sequence.getName()., Greg Cox, Keith James, Matthew Pocock, Ron Kuhn
See Also:
  Serialized Form

Field Summary
`protected static String` `ACCESSION_TAG` Deprecated.
`protected static String` `AUTHORS_TAG` Deprecated.
`protected static String` `BASE_COUNT_TAG` Deprecated.
`protected static String` `CIRCULAR_TAG` Deprecated.
`protected static String` `COMMENT_TAG` Deprecated.
`protected static String` `COORDINATE_TAG` Deprecated.
`protected static String` `DATE_TAG` Deprecated.
`static String` `DEFAULT` Deprecated.
`protected static String` `DEFINITION_TAG` Deprecated.
`protected static String` `DIVISION_TAG` Deprecated.
`protected static String` `END_SEQUENCE_TAG` Deprecated.
`protected static String` `FEATURE_FLAG` Deprecated.
`protected static String` `FEATURE_LINE_PREFIX` Deprecated.
`protected static String` `FEATURE_TAG` Deprecated.
`protected static String` `GI_TAG` Deprecated.
`protected static String` `JOURNAL_TAG` Deprecated.
`protected static String` `KEYWORDS_TAG` Deprecated.
`protected static String` `LOCUS_TAG` Deprecated.
`protected static String` `MEDLINE_TAG` Deprecated.
`protected static String` `ORGANISM_TAG` Deprecated.
`protected static String` `PUBMED_TAG` Deprecated.
`protected static String` `REF_ACCESSION_TAG` Deprecated.
`protected static String` `REFERENCE_TAG` Deprecated.
`protected static String` `SIZE_TAG` Deprecated.
`protected static String` `SOURCE_TAG` Deprecated.
`protected static String` `START_SEQUENCE_TAG` Deprecated.
`protected static String` `STRAND_NUMBER_TAG` Deprecated.
`protected static String` `TITLE_TAG` Deprecated.
`protected static String` `TYPE_TAG` Deprecated.
`protected static String` `VERSION_TAG` Deprecated.

Constructor Summary
`GenbankFormat()` Deprecated.

Method Summary
`void` `addParseErrorListener(ParseErrorListener theListener)` Deprecated. Adds a parse error listener to the list of listeners if it isn't already included.
`void` `BadLineParsed(ParseErrorEvent theEvent)` Deprecated. This method determines the behaviour when a bad line is processed.
`String` `getDefaultFormat()` Deprecated.
`boolean` `getElideSymbols()` Deprecated.
`protected void` `notifyParseErrorEvent(ParseErrorEvent theEvent)` Deprecated. Passes the event on to all the listeners registered for ParseErrorEvents.
`boolean` `readSequence(BufferedReader reader, SymbolTokenization symParser, SeqIOListener listener)` Deprecated. Reads a sequence from the specified reader using the Symbol parser and Sequence Factory provided.
`void` `removeParseErrorListener(ParseErrorListener theListener)` Deprecated. Removes a parse error listener from the list of listeners if it is included.
`void` `setElideSymbols(boolean elideSymbols)` Deprecated. Use this method to toggle reading of sequence data.
`void` `writeSequence(Sequence seq, PrintStream os)` Deprecated. `writeSequence` writes a sequence to the specified PrintStream, using the default format.
`void` `writeSequence(Sequence seq, String format, PrintStream os)` Deprecated. use writeSequence(Sequence seq, PrintStream os)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final String DEFAULT

  Deprecated.
  See Also:
    Constant Field Values

### LOCUS_TAG

    protected static final String LOCUS_TAG

  Deprecated.
  See Also:
    Constant Field Values

### SIZE_TAG

    protected static final String SIZE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### STRAND_NUMBER_TAG

    protected static final String STRAND_NUMBER_TAG

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_TAG

    protected static final String TYPE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### CIRCULAR_TAG

    protected static final String CIRCULAR_TAG

  Deprecated.
  See Also:
    Constant Field Values

### DIVISION_TAG

    protected static final String DIVISION_TAG

  Deprecated.
  See Also:
    Constant Field Values

### DATE_TAG

    protected static final String DATE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### ACCESSION_TAG

    protected static final String ACCESSION_TAG

  Deprecated.
  See Also:
    Constant Field Values

### VERSION_TAG

    protected static final String VERSION_TAG

  Deprecated.
  See Also:
    Constant Field Values

### GI_TAG

    protected static final String GI_TAG

  Deprecated.
  See Also:
    Constant Field Values

### KEYWORDS_TAG

    protected static final String KEYWORDS_TAG

  Deprecated.
  See Also:
    Constant Field Values

### DEFINITION_TAG

    protected static final String DEFINITION_TAG

  Deprecated.
  See Also:
    Constant Field Values

### SOURCE_TAG

    protected static final String SOURCE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### ORGANISM_TAG

    protected static final String ORGANISM_TAG

  Deprecated.
  See Also:
    Constant Field Values

### REFERENCE_TAG

    protected static final String REFERENCE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### COORDINATE_TAG

    protected static final String COORDINATE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### REF_ACCESSION_TAG

    protected static final String REF_ACCESSION_TAG

  Deprecated.
  See Also:
    Constant Field Values

### AUTHORS_TAG

    protected static final String AUTHORS_TAG

  Deprecated.
  See Also:
    Constant Field Values

### TITLE_TAG

    protected static final String TITLE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### JOURNAL_TAG

    protected static final String JOURNAL_TAG

  Deprecated.
  See Also:
    Constant Field Values

### PUBMED_TAG

    protected static final String PUBMED_TAG

  Deprecated.
  See Also:
    Constant Field Values

### MEDLINE_TAG

    protected static final String MEDLINE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### COMMENT_TAG

    protected static final String COMMENT_TAG

  Deprecated.
  See Also:
    Constant Field Values

### FEATURE_TAG

    protected static final String FEATURE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### BASE_COUNT_TAG

    protected static final String BASE_COUNT_TAG

  Deprecated.
  See Also:
    Constant Field Values

### FEATURE_FLAG

    protected static final String FEATURE_FLAG

  Deprecated.
  See Also:
    Constant Field Values

### START_SEQUENCE_TAG

    protected static final String START_SEQUENCE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### END_SEQUENCE_TAG

    protected static final String END_SEQUENCE_TAG

  Deprecated.
  See Also:
    Constant Field Values

### FEATURE_LINE_PREFIX

    protected static final String FEATURE_LINE_PREFIX

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### GenbankFormat

    public GenbankFormat()

  Deprecated.

Method Detail

### readSequence

    public boolean readSequence(BufferedReader reader,
                                SymbolTokenization symParser,
                                SeqIOListener listener)
                         throws IllegalSymbolException,
                                IOException,
                                ParseException

  Deprecated.
  Reads a sequence from the specified reader using the Symbol parser and Sequence Factory provided. The sequence read in must be in Genbank format.

  Specified by:
    `readSequence` in interface `SequenceFormat`
  Parameters:
    `reader` - The stream of data to parse.
    `symParser` - A SymbolParser defining a mapping from character data to Symbols.
    `listener` - A listener to notify when data is extracted from the stream.
  Returns:
    boolean True if there is another sequence in the file; false otherwise
  Throws:
    `IllegalSymbolException` - if it is not possible to translate character data from the stream into valid BioJava symbols.
    `IOException` - if an error occurs while reading from the stream.
    `ParseException`

### writeSequence

    public void writeSequence(Sequence seq,
                              PrintStream os)
                       throws IOException

  Deprecated.
  Description copied from interface: `SequenceFormat`
  `writeSequence` writes a sequence to the specified PrintStream, using the default format.

  Specified by:
    `writeSequence` in interface `SequenceFormat`
  Parameters:
    `seq` - the sequence to write out.
    `os` - the printstream to write to.
  Throws:
    `IOException`

### writeSequence

    public void writeSequence(Sequence seq,
                              String format,
                              PrintStream os)
                       throws IOException

  Deprecated. use writeSequence(Sequence seq, PrintStream os)

  `writeSequence` writes a sequence to the specified `PrintStream`, using the specified format.

  Specified by:
    `writeSequence` in interface `SequenceFormat`
  Parameters:
    `seq` - a `Sequence` to write out.
    `format` - a `String` indicating which sub-format of those available from a particular `SequenceFormat` implemention to use when writing.
    `os` - a `PrintStream` object.
  Throws:
    `IOException` - if an error occurs.

### getDefaultFormat

    public String getDefaultFormat()

  Deprecated.

  `getDefaultFormat` returns the String identifier for the default format.

  Specified by:
    `getDefaultFormat` in interface `SequenceFormat`
  Returns:
    a `String`.

### addParseErrorListener

    public void addParseErrorListener(ParseErrorListener theListener)

  Deprecated.
  Adds a parse error listener to the list of listeners if it isn't already included.

  Specified by:
    `addParseErrorListener` in interface `ParseErrorSource`
  Parameters:
    `theListener` - Listener to be added.

### removeParseErrorListener

    public void removeParseErrorListener(ParseErrorListener theListener)

  Deprecated.
  Removes a parse error listener from the list of listeners if it is included.

  Specified by:
    `removeParseErrorListener` in interface `ParseErrorSource`
  Parameters:
    `theListener` - Listener to be removed.

### BadLineParsed

    public void BadLineParsed(ParseErrorEvent theEvent)

  Deprecated.
  This method determines the behaviour when a bad line is processed. Some options are to log the error, throw an exception, ignore it completely, or pass the event through.

  This method should be overwritten when different behavior is desired.

  Specified by:
    `BadLineParsed` in interface `ParseErrorListener`
  Parameters:
    `theEvent` - The event that contains the bad line and token.

### notifyParseErrorEvent

    protected void notifyParseErrorEvent(ParseErrorEvent theEvent)

  Deprecated.
  Passes the event on to all the listeners registered for ParseErrorEvents.

  Parameters:
    `theEvent` - The event to be handed to the listeners.

### getElideSymbols

    public boolean getElideSymbols()

  Deprecated.

### setElideSymbols

    public void setElideSymbols(boolean elideSymbols)

  Deprecated.
  Use this method to toggle reading of sequence data. If you're only interested in header data set to true.

  Parameters:
    `elideSymbols` - set to true if you don't want the sequence data.